class AccountController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @user_pages, @users = paginate :users, :per_page => 40
  end

  def show
    @user = User.find(params[:id])
  end

  def new
    @user = User.new
  end

  def create
    @user = User.new(params[:user])
    if @user.save
      flash[:notice] = 'User was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @user = User.find(params[:id])
  end

  def update
    @user = User.find(params[:id])
    if @user.update_attributes(params[:user])
      flash[:notice] = 'User was successfully updated.'
      redirect_to :action => 'show', :id => @user
    else
      render :action => 'edit'
    end
  end

  def destroy
    User.find(params[:id]).destroy
# bk, schedule, record 의 삭제코드를 추가.
# record 와 파일은 삭제하는데 시간이 걸리므로 dbs_agent2db 에서 삭제하도록 구성한다.
    redirect_to :action => 'list'
  end


end

module Utility
  def PutSize(size)
    if (size < 1024)
       return size;
    end
    if (size < (1024 * 1024))
      ret = size / 1024;
      return ret + " KB"
    end
    if (size < (1024 * 1024))
      ret = size / (1024 * 1024);
      return ret + " MB"
    end
    return ret + " GB"
  end

#  def UsedSize (userid)
#    # 해당유저의 disk 사용량을 계산
#    bk = Bk.find(:all, :conditions => "user_id='"+userid.to_s+"'")
#    sum = 0
#    for d in bk
#        d_entry = Dir.entries("/home/data/"+d.svc_no)
#        for f in d_entry
#            if f != "." && f != ".."
#                sum += File.size("/home/data/"+d.svc_no+"/"+f)
#            end
#        end
#    end
#	return sum
#  end
end
