class AgentStatController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
	# 좌측의 메뉴를 클릭해서 들어올경우 전체 출력
	if params[:id] == nil
    	@agents_stat_pages, @agents_stats = paginate :agents_stats, :order => "ts DESC", :per_page => 40
	else
		# Agents 에서 선택해 들어올경우 해당 agent 의 상태만 출력
    	@agents_stat_pages, @agents_stats = paginate :agents_stats,
			:conditions => "agents_id='"+params[:id]+"'", :order => "ts DESC", :per_page => 40
	end
  end

  def show
    @agents_stat = AgentsStat.find(params[:id])
  end

  def new
    @agents_stat = AgentsStat.new
  end

  def create
    @agents_stat = AgentsStat.new(params[:agents_stat])
    if @agents_stat.save
      flash[:notice] = 'AgentsStat was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @agents_stat = AgentsStat.find(params[:id])
  end

  def update
    @agents_stat = AgentsStat.find(params[:id])
    if @agents_stat.update_attributes(params[:agents_stat])
      flash[:notice] = 'AgentsStat was successfully updated.'
      redirect_to :action => 'show', :id => @agents_stat
    else
      render :action => 'edit'
    end
  end

  def destroy
    AgentsStat.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
