class AlarmController < ApplicationController

#  before_filter :check_authentication, :except => [:signin]

  ALARM_FLAG_FILE = "/usr/local/direct/db_utility/tmp/alarm.txt"

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @mobile_pages, @mobiles = paginate :mobiles, :per_page => 30
  end

  def show
    @mobile = Mobile.find(params[:id])
  end

  def new
    @mobile = Mobile.new

	# 비트 처리를 위한 변수
	@work = @mobile.work
	@week = @mobile.week
  end

  def create
    @mobile = Mobile.new(params[:mobile])
	# 비트 처리된 변수 합산
	@mobile.work = params[:part]["Hosting"].to_i + params[:part]["Mail"].to_i + params[:part]["LnxWeb"].to_i + params[:part]["WinWeb"].to_i
	@mobile.week = params[:wday]["1"].to_i + params[:wday]["2"].to_i + params[:wday]["3"].to_i + params[:wday]["4"].to_i + params[:wday]["5"].to_i + params[:wday]["6"].to_i + params[:wday]["7"].to_i
    if @mobile.save
      flash[:notice] = 'Mobile was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end

	# 핸드폰 알림목록이 없데이트 되었음을 알리는 플래그 파일
#	flagFile = File.open(ALARM_FLAG_FILE, "w+")
  end

  def edit
    @mobile = Mobile.find(params[:id])

	# 비트 처리를 위한 변수
	@work = @mobile.work
	@week = @mobile.week
  end

  def update
    @mobile = Mobile.find(params[:id])
	# 비트 처리된 변수 합산
	@mobile.work = params[:part]["Hosting"].to_i + params[:part]["Mail"].to_i + params[:part]["LnxWeb"].to_i + params[:part]["WinWeb"].to_i
	@mobile.week = params[:wday]["1"].to_i + params[:wday]["2"].to_i + params[:wday]["3"].to_i + params[:wday]["4"].to_i + params[:wday]["5"].to_i + params[:wday]["6"].to_i + params[:wday]["7"].to_i
    if @mobile.update_attributes(params[:mobile])
      flash[:notice] = 'Mobile was successfully updated.'
      redirect_to :action => 'show', :id => @mobile
    else
      render :action => 'edit'
    end

	# 핸드폰 알림목록이 업데이트 되었음을 알리는 플래그 파일
	flagFile = File.open(ALARM_FLAG_FILE, "w+")
  end

  def destroy
    Mobile.find(params[:id]).destroy
    redirect_to :action => 'list'

	# 핸드폰 알림목록이 없데이트 되었음을 알리는 플래그 파일
	flagFile = File.open(ALARM_FLAG_FILE, "w+")
  end
end
