# $Id: backup_controller.rb,v 1.1.1.1 2008/10/13 02:47:16 winchild Exp $
class BackupController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
	# params[:id] 는 account 에서의 user_id 가 된다. bk_id 가 아님에 유의
	if params[:id] != nil
   		user = User.find(params[:id])	# id 에 해당하는 userid 및 name
		session[:id] = user.id
		session[:userid] = user.userid
		session[:name] = user.name
		@bk_pages, @bks = paginate :bks, :conditions => "user_id="+params[:id], :order => "user_id", :per_page => 40
	else
		session[:id] = nil
		session[:userid] = nil
		session[:name] = nil
		@bk_pages, @bks = paginate :bks, :order => "user_id", :per_page => 40
	end
  end

  def show
    @bk = Bk.find(params[:id])
  end

  def new
    @user = User.find(:all, :order => "name").map {|u| [u.name+"("+u.userid+")", u.id]}
    @agent = Agent.find(:all, :order => "name").map {|u| [u.name+" ("+u.ip+")", u.ip]}
    @bk = Bk.new
  end

  def create
    @bk = Bk.new(params[:bk])
    if @bk.save
      flash[:notice] = 'Bk was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
# DBS 가 만들어야 함.
#	FileUtils.mkdir_p("/home/data/"+@bk.svc_no)
  end

  def edit
#    @user = User.find(:all, :order => "name").map {|u| [u.name+"("+u.userid+")", u.id]}
    @user = User.find(:all, :order => "name").collect {|u| [u.name+"("+u.userid+")", u.id]}
    @bk = Bk.find(params[:id])
  end

  def update
    @bk = Bk.find(params[:id])
    if @bk.update_attributes(params[:bk])
      flash[:notice] = 'Bk was successfully updated.'
      redirect_to :action => 'show', :id => @bk
    else
      render :action => 'edit'
    end
  end

  def destroy
    Bk.find(params[:id]).destroy
# backup 기록이 삭제될때 schedule, job, record 기록도 삭제되어야 하는데,
# join 사용방법을 적용하고, 가상테이블 생성후 확인해 볼것.
# bk, schedule, record 의 삭제코드를 추가.
# record 와 파일은 삭제하는데 시간이 걸리므로 dbs_agent2db 에서 삭제하도록 구성한다.
#    Schedule.find(:all, :conditions => ['bk_id = ?', params[:id]]).destory
    redirect_to :action => 'list'
  end
end
