class JobController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
	# params[:id] 는 schedule.id 이다. job_id 가 아님에 유의
	#  - 좌측메뉴 클릭과 상위 계정부터 클릭해 온것을 구분
	if params[:id] == nil
		session[:id] = nil
		session[:userid] = nil
		session[:name] = nil
    	@job_pages, @jobs = paginate :jobs, :order => "id DESC", :per_page => 40
	else
    	@job_pages, @jobs = paginate :jobs, :order => "id DESC", :conditions => "schedule_id='"+params[:id]+"'", :per_page => 40
	end
  end

  def show
    @job = Job.find(params[:id])
  end

  def new
    @job = Job.new
  end

  def recovery
    @job = Job.find(params[:id])
    @job.status = 'R'
    @job.argument += '/' + params[:file]
  end

  def create
    @job = Job.new(params[:job])
    if @job.save
      flash[:notice] = 'Job was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @job = Job.find(params[:id])
  end

  def update
    @job = Job.find(params[:id])
    if @job.update_attributes(params[:job])
      flash[:notice] = 'Job was successfully updated.'
      redirect_to :action => 'show', :id => @job
    else
      render :action => 'edit'
    end
  end

  def destroy
    Job.find(params[:id]).destroy
# Record 의 데이터도 삭제해야 한다. id 을 record의 job_id 로 연결필요
#    Record.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
