class RecordController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
	if params[:id] != nil
	    @record_pages, @records = paginate :records, :conditions => ["job_id=?", params[:id]], :per_page => 40
	else
		@record_pages, @records = paginate :records, :per_page => 40
  end
  end

  def show
    @record = Record.find(params[:id])
  end

  def new
    @record = Record.new
  end

  def create
    @record = Record.new(params[:record])
    if @record.save
      flash[:notice] = 'Record was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @record = Record.find(params[:id])
  end

  def update
    @record = Record.find(params[:id])
    if @record.update_attributes(params[:record])
      flash[:notice] = 'Record was successfully updated.'
      redirect_to :action => 'show', :id => @record
    else
      render :action => 'edit'
    end
  end

  def destroy
    Record.find(params[:id]).destroy
    redirect_to :action => 'list'
  end

end
