# $Id: schedule_controller.rb,v 1.1.1.1 2008/10/13 02:47:16 winchild Exp $
class ScheduleController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @job = Bk.find(:first, params[:id])

	# 좌측의 메뉴를 클릭해서 들어올경우 session 정보를 참조하지 않는다.
	if params[:id] == nil
		session[:id] = nil
		session[:userid] = nil
		session[:name] = nil
		session[:svc_no] = nil
    	@schedule_pages, @schedules = paginate :schedules, :order => "agent", :per_page => 100
	else
    	@schedule_pages, @schedules = paginate :schedules,
			:conditions => "bk_id='"+params[:id]+"'", :order => "agent", :per_page => 100
	end
  end

  def show
    @schedule = Schedule.find(params[:id])
  end

  def new
# join 으로 users.name 을 option 에 추가해야 함.
# 그러나 join 으로 bk.name 은 undefine method 발생함
# @bk = Bk.find(:all, :include => :user, :order => "svc_no").map {|b| [b.svc_no+"("+b.ip+")", b.id] }
    @bk = Bk.find(:all, :order => "svc_no").map {|b| [b.svc_no+"("+b.ip+")", b.id] }
    @agent = Agent.find(:all, :order => "name").map {|b| [b.name+" ("+b.ip+")", b.name] }
    @schedule = Schedule.new
  end

  def create
    @schedule = Schedule.new(params[:schedule])

	if params[:wday] != nil
		# 주간 특정일 반복 작업
		@schedule.weekday = params[:wday]["0"].to_i + params[:wday]["1"].to_i \
			+ params[:wday]["2"].to_i + params[:wday]["3"].to_i + params[:wday]["4"].to_i \
			+ params[:wday]["5"].to_i + params[:wday]["6"].to_i
	else
		# 1회 작업
		@schedule.weekday = 0
	end

	if params[:opt] != nil
		# 백업에 옵션 추가
		@schedule.options = params[:opt]["0"].to_i + params[:opt]["1"].to_i \
			+ params[:opt]["2"].to_i + params[:opt]["3"].to_i + params[:opt]["4"].to_i \
			+ params[:opt]["5"].to_i + params[:opt]["6"].to_i + params[:opt]["7"].to_i \
			+ params[:opt]["8"].to_i
	else
		@schedule.options = 0
	end

	bk = Bk.find(:first, :conditions => ["id = ?", params[:schedule][:bk_id]])
	@schedule.ip = bk.ip
	@schedule.ts = DateTime.now
    if @schedule.save
      flash[:notice] = 'Schedule was successfully created.'
      redirect_to :action => 'list'
    else
      @bk = Bk.find(:all, :order => "svc_no").map {|b| [b.svc_no+"("+b.ip+")", b.id] }
      @agent = Agent.find(:all).map {|b| [b.name+" ("+b.ip+")", b.name] }
      render :action => 'new'
    end
  end

  def edit
# join 으로 users.name 을 option 에 추가해야 함.
# 그러나 join 으로 bk.name 은 undefine method 발생함
# @bk = Bk.find(:all, :include => :user, :order => "svc_no").map {|b| [b.svc_no+"("+b.ip+")", b.id] }
    @bk = Bk.find(:all, :order => "svc_no").map {|b| [b.svc_no+"("+b.ip+")", b.id] }
    @agent = Agent.find(:all).map {|b| [b.name+" ("+b.ip+")", b.name] }
    @schedule = Schedule.find(params[:id])
  end

  def update
    @schedule = Schedule.find(params[:id])

	if params[:wday] != nil
		# 주간 특정일 반복 작업
		@schedule.weekday = params[:wday]["0"].to_i + params[:wday]["1"].to_i \
			+ params[:wday]["2"].to_i + params[:wday]["3"].to_i + params[:wday]["4"].to_i \
			+ params[:wday]["5"].to_i + params[:wday]["6"].to_i
	else
		# 1회 작업
		@schedule.weekday = 0
	end

	if params[:opt] != nil
		# 백업에 옵션 추가
		@schedule.options = params[:opt]["0"].to_i + params[:opt]["1"].to_i \
			+ params[:opt]["2"].to_i + params[:opt]["3"].to_i + params[:opt]["4"].to_i \
			+ params[:opt]["5"].to_i + params[:opt]["6"].to_i + params[:opt]["7"].to_i \
			+ params[:opt]["8"].to_i
	else
		@schedule.options = 0
	end

    if @schedule.update_attributes(params[:schedule])
      flash[:notice] = 'Schedule was successfully updated.'
      redirect_to :action => 'show', :id => @schedule
    else
      render :action => 'edit'
    end
  end

  def destroy
    Schedule.find(params[:id]).destroy
# schedule 기록이 삭제될때 job, record 기록도 삭제되어야 하는데,
# join 사용방법을 적용하고, 가상테이블 생성후 확인해 볼것.
# 아래 조건으로 삭제되지 않음 확인요 *********************************
#    Job.find(:all, :conditions => ['schedule_id = ?', params[:id]]).destroy
# record 와 파일은 삭제하는데 시간이 걸리므로 dbs_agent2db 에서 삭제하도록 구성한다.
    redirect_to :action => 'list'
  end
end
