# $Id: user_controller.rb,v 1.1.1.1 2008/10/13 02:47:16 winchild Exp $
class UserController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @admin_pages, @admins = paginate :admins, :per_page => 10
  end

  def show
    @admin = Admin.find(params[:id])
  end

  def new
    @admin = Admin.new
  end

  def create
    @admin = Admin.new(params[:admin])
    if @admin.save
      flash[:notice] = 'Admin was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @admin = Admin.find(params[:id])
  end

  def update
    @admin = Admin.find(params[:id])
    if @admin.update_attributes(params[:admin])
      flash[:notice] = 'Admin was successfully updated.'
      redirect_to :action => 'show', :id => @admin
    else
      render :action => 'edit'
    end
  end

  def destroy
    Admin.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
