CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `userid` varchar(20) NOT NULL,
  `name` varchar(256) NOT NULL,
  `password_salt` varchar(256) NOT NULL,
  `password_hash` varchar(256) NOT NULL,
# 쿼터는 bks 에서 합산하여 표기하는것으로...
#  `quota` bigint(20) unsigned NOT NULL default 0,
#  `used` bigint(20) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `admins` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `userid` varchar(20) NOT NULL,
  `name` varchar(256) NOT NULL,
  `password_salt` varchar(256) NOT NULL,
  `password_hash` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `bks` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(20) NOT NULL,
  `svc_no` varchar(20) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `quota` bigint(20) unsigned NOT NULL default 0,
  `used` bigint(20) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `schedules` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `bk_sid` bigint(20) unsigned NOT NULL,
  `master` varchar(255) NOT NULL,
  `agent` varchar(255) NOT NULL,
  `datetimes` datetime NOT NULL,
  `weekday` int(11) DEFAULT '0',
  `argument` mediumtext NOT NULL,
  `wk_type` enum('B','R','D') NOT NULL,
  `options` int(11) DEFAULT '0',
  `ip` varchar(16) NOT NULL,
  `master_expire` int(11) DEFAULT '0',
  `agent_expire` int(11) DEFAULT '0',
  `ldate` int(5) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `wkid` varchar(16) DEFAULT 'system',
  `ts` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `master` (`master`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `schedule_id` bigint(20) unsigned NOT NULL,
  `gid` bigint(20) unsigned NOT NULL,
  `bk_sid` bigint(20) unsigned DEFAULT NULL,
  `master` varchar(255) NOT NULL,
  `agent` varchar(255) NOT NULL,
  `argument` mediumtext NOT NULL,
  `wk_type` enum('B','R','D') NOT NULL,
  `options` int(11) DEFAULT '0',
  `ip` varchar(16) NOT NULL,
  `ldate` datetime DEFAULT NULL,
  `sdate` datetime DEFAULT NULL,
  `edate` datetime DEFAULT NULL,
  `status` enum('W','R','D','F','E','C') NOT NULL,
  `msg` text,
  `email` varchar(255) NOT NULL,
  `wkid` varchar(16) DEFAULT 'system',
  `ts` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sid_status` (`id`,`status`),
  KEY `sc_sid_status` (`schedule_id`,`status`),
  KEY `master_status` (`master`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `records` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `job_id` bigint(20) unsigned NOT NULL,
  `path` varchar(8192) NOT NULL,
  `filename` varchar(256) NOT NULL,
  `size` bigint(20) unsigned NOT NULL,
  `mtime` varchar(30) NOT NULL,
  `offset` bigint(20) unsigned NOT NULL,
  `typeflag` char(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `job_id` (`job_id`),
  KEY `path` (`path`(333)),
  KEY `filename` (`filename`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `mobiles` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `phone` varchar(20) NOT NULL,
  `week` integer,
  `st_tm` time,
  `et_tm` time,
  `pause` enum('Y','N'),
  `work` int NOT NULL,
  `name` varchar(10) NOT NULL,
  `description` tinytext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `phone` (`phone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `agents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  `ostype` enum ('W','L') NOT NULL,
  `description` tinytext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `agents_stats` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `agents_id` bigint(20) unsigned NOT NULL,
  `status` enum ('O','X') NOT NULL,
  `ts` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `agents_id` (`agents_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

