require File.dirname(__FILE__) + '/../test_helper'
require 'agent_stat_controller'

# Re-raise errors caught by the controller.
class AgentStatController; def rescue_action(e) raise e end; end

class AgentStatControllerTest < Test::Unit::TestCase
  fixtures :agents_stats

  def setup
    @controller = AgentStatController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = agents_stats(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:agents_stats)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:agents_stat)
    assert assigns(:agents_stat).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:agents_stat)
  end

  def test_create
    num_agents_stats = AgentsStat.count

    post :create, :agents_stat => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_agents_stats + 1, AgentsStat.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:agents_stat)
    assert assigns(:agents_stat).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      AgentsStat.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      AgentsStat.find(@first_id)
    }
  end
end
