require File.dirname(__FILE__) + '/../test_helper'
require 'alarm_controller'

# Re-raise errors caught by the controller.
class AlarmController; def rescue_action(e) raise e end; end

class AlarmControllerTest < Test::Unit::TestCase
  fixtures :mobiles

  def setup
    @controller = AlarmController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = mobiles(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:mobiles)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:mobile)
    assert assigns(:mobile).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:mobile)
  end

  def test_create
    num_mobiles = Mobile.count

    post :create, :mobile => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_mobiles + 1, Mobile.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:mobile)
    assert assigns(:mobile).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      Mobile.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      Mobile.find(@first_id)
    }
  end
end
