require File.dirname(__FILE__) + '/../test_helper'
require 'backup_controller'

# Re-raise errors caught by the controller.
class BackupController; def rescue_action(e) raise e end; end

class BackupControllerTest < Test::Unit::TestCase
  fixtures :bks

  def setup
    @controller = BackupController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = bks(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:bks)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:bk)
    assert assigns(:bk).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:bk)
  end

  def test_create
    num_bks = Bk.count

    post :create, :bk => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_bks + 1, Bk.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:bk)
    assert assigns(:bk).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      Bk.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      Bk.find(@first_id)
    }
  end
end
