-- MySQL dump 10.10
--
-- Host: localhost    Database: dbs
-- ------------------------------------------------------
-- Server version	5.0.24-standard-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `job`
--

DROP TABLE IF EXISTS `job`;
CREATE TABLE `job` (
  `sid` bigint(20) unsigned NOT NULL auto_increment,
  `gid` bigint(20) unsigned NOT NULL,
  `sc_sid` bigint(20) unsigned NOT NULL,
  `bk_sid` bigint(20) unsigned default NULL,
  `master` varchar(255) NOT NULL,
  `agent` varchar(255) NOT NULL,
  `argument` mediumtext NOT NULL,
  `wk_type` enum('B','R','D') NOT NULL,
  `options` int(11) default '0',
  `ip` varchar(16) NOT NULL,
  `ldate` datetime default NULL,
  `sdate` datetime default NULL,
  `edate` datetime default NULL,
  `status` enum('W','R','D','F','E','C') NOT NULL,
  `msg` text,
  `email` varchar(255) NOT NULL,
  `wkid` varchar(16) default 'system',
  `ts` datetime NOT NULL,
  PRIMARY KEY  (`sid`),
  INDEX `sid_status` (`sid`,`status`),
  INDEX `sc_sid_status` (`sc_sid`,`status`),
  INDEX `master_status` (`master`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `record`
--

DROP TABLE IF EXISTS `record`;
CREATE TABLE `record` (
  `sid` bigint(20) unsigned NOT NULL auto_increment,
  `job_sid` bigint(20) unsigned NOT NULL,
  `path` varchar(8192) NOT NULL,
  `filename` varchar(256) NOT NULL,
  `size` bigint(20) unsigned NOT NULL,
  `mtime` varchar(30) NOT NULL,
  `offset` bigint(20) unsigned NOT NULL,
  `typeflag` char(1) NOT NULL,
  PRIMARY KEY  (`sid`),
  INDEX (`job_sid`),
  INDEX (`path`),
  INDEX (`filename`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `schedule`
--

DROP TABLE IF EXISTS `schedule`;
CREATE TABLE `schedule` (
  `sid` bigint(20) unsigned NOT NULL auto_increment,
  `bk_sid` bigint(20) unsigned default NULL,
  `master` varchar(255) NOT NULL,
  `agent` varchar(255) NOT NULL,
  `datetimes` char(19) default '0000-00-00 00:00:00',
  `weekday` int(11) default '0',
  `argument` mediumtext NOT NULL,
  `wk_type` enum('B','R','D') NOT NULL,
  `options` int(11) default '0',
  `ip` varchar(16) NOT NULL,
  `master_expire` int(11) default '0',
  `agent_expire` int(11) default '0',
  `ldate` int(5) default NULL,
  `email` varchar(255) NOT NULL,
  `wkid` varchar(16) default 'system',
  `ts` datetime NOT NULL,
  PRIMARY KEY  (`sid`),
  INDEX `master` (`master`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

