/**
 * @file log.h
 * @brief 로그 라이브러리 헤더
 */

/*
 * 로그 라이브러리 헤더
 *
 * Copyright 2007 Samjung Data Service, Inc.  All rights reserved.
 * 김기태 (superkkt@sds.co.kr)
 */

#ifndef	LOG_H
#define	LOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*
 * 로그 레벨
 */
#define FATAL	1
#define ERROR	2
#define WARN	3
#define INFO	4
#define DEBUG	5

#define Log(mode, format, ...) log_write(mode, __FILE__, __LINE__, format, ##__VA_ARGS__)

int log_init(const char *filename, int level);
void log_write(int mode, char *filename, int line, char *format, ...);

#endif
