/**
 * @file dbs.h
 * @brief Direct Backup Solution Main
 */

/*
 * Direct Backup Solution Main
 *
 * Copyright 2007 Samjung Data Service, Inc.  All rights reserved.
 * 김기태 (superkkt@sds.co.kr)
 */

#ifndef DBS_H
#define DBS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* 
 * 쓰레드 아이디 (10 미만의 값은 PXE에 예약된 값)
 */
#define DI_THREAD 10 /**< DBMS Interface */
#define SI_THREAD 11 /**< Socket Interface */
#define BK_THREAD 12 /**< Core */
#define DN_THREAD 13 /**< Directory Navigator */
#define SC_THREAD 14 /**< Scheduler */
#define SS_THREAD 15 /**< Show Status */

/**
 * 최대 동시 실행 개수
 *
 * 이 값만큼 DB와 커넥션이 맺어진다. 따라서 이 값이 너무 높으면 DB에 접속을
 * 못하는 경우가 발생해서 일부 작업이 실행 안되는 경우가 생긴다.
 */
#define MAX_REQUEST 64

/* CYGWIN에서 최상위 경로를 나타내는 문자열 */
#define CYGDRIVE_STRING "/cygdrive"

/* 
 * 실행 타입 
 */
#define COMMON 0 /**< 공통 실행 */
#define MASTER 1 /**< 마스터에서만 실행 */
#define AGENT 2 /**< 에이전트에서만 실행 */

#endif
