/**
 * @file types.h
 * @brief Type Declaration
 */

/*
 * Type Declaration
 *
 * Copyright 2007 Samjung Data Service, Inc.  All rights reserved.
 * 김기태 (superkkt@sds.co.kr)
 */

#ifndef TYPES_H
#define TYPES_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <inttypes.h>

/*
 * 백업 파일 확장자
 */
#define GZ_EXT	"tar.gz"    /**< 압축 파일 확장자 */
#define TAR_EXT	"tar"       /**< 일반 파일 확장자 */

/* 
 * Error direction 
 */
#define DBS_ERR_OK      0
#define DBS_ERR_PEER    -1  /**< 상대방 호스트에서 에러 발생 */
#define DBS_ERR_LOCAL   -2  /**< 로컬호스트에서 에러 발생 */

/* 패킷 수신시 최대 대기시간 (초) */
#define DBS_READ_TIMEOUT    300

/* 에러메세지 버퍼 사이즈 */
#define MAX_ERRMSG  8192

/**
 * BOOL type 
 */
typedef enum
{
    FALSE,
    TRUE
} BOOL;

/**
 * 등록번호 타입
 */
typedef uint64_t REGNO;

/**
 * Unix Time 타입 
 */
typedef uint32_t TIME;

#endif
